headless lms

Get a community's notification categories

GET /api/communities/{communityId}/notification-categories. Get a community's notification categories. Headless LMS Notifications API reference.

GET
/api/communities/{communityId}/notification-categories

Requires communities:read. On the community. The list in use for the community, with source saying whether it is the default or a stored list.

Path Parameters

communityId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/communities/string/notification-categories"
{  "categories": [    {      "key": "string",      "covers": [        {          "type": "string",          "reasons": [            "subject"          ]        }      ],      "channels": {        "property1": {          "default": true,          "locked": true        },        "property2": {          "default": true,          "locked": true        }      },      "perSpace": true,      "spaceDefaults": {        "property1": {          "property1": true,          "property2": true        },        "property2": {          "property1": true,          "property2": true        }      }    }  ],  "source": "default"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}